# ======================================================================
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTIBILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# ======================================================================

__version__= '2.4'

import PHPProduct

def initialize(context): 
    """Initialize the product."""
    
    try: 
        context.registerClass(
            PHPProduct.PHPDocument,                   
            constructors = (                 
                PHPProduct.manage_addPHPForm, 
                PHPProduct.manage_addPHP),    
            icon = 'php.gif'                                             
            )
        context.registerBaseClass(PHPProduct.PHPDocument)

    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(
                      traceback.format_exception(type, val, tb), ''))
        del type, val, tb
